From aadb64a01cc6a27ef0edfe0c2662f55d9170dbb4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Tue, 11 Jun 2019 00:16:59 +0200
Subject: [PATCH] python-cffi: update to 1.12.3.

---
 srcpkgs/python-cffi/template | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python-cffi/template b/srcpkgs/python-cffi/template
index ec4561ac8b8..27ae03879ac 100644
--- a/srcpkgs/python-cffi/template
+++ b/srcpkgs/python-cffi/template
@@ -1,19 +1,28 @@
 # Template file for 'python-cffi'
 pkgname=python-cffi
-version=1.11.5
-revision=2
+version=1.12.3
+revision=1
 wrksrc="cffi-${version}"
 build_style=python-module
+pycompile_module="cffi"
 hostmakedepends="python-setuptools python3-setuptools libffi-devel"
 makedepends="python-devel python3-devel libffi-devel"
 depends="python-pycparser"
-pycompile_module="cffi"
+checkdepends="python-pytest python3-pytest python-pycparser
+ python3-pycparser"
 short_desc="C foreign function interface for Python2"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://cffi.readthedocs.io/"
 license="MIT"
+homepage="https://cffi.readthedocs.io/"
 distfiles="${PYPI_SITE}/c/cffi/cffi-${version}.tar.gz"
-checksum=e90f17980e6ab0f3c2f3730e56d1fe9bcba1891eeea58966e89d352492cc74f4
+checksum=041c81822e9f84b1d9c401182e174996f0bae9991f33725d059b771744290774
+
+do_check() {
+	python2 setup.py build_ext -i
+	python2 -m pytest c/ testing/
+	python3 setup.py build_ext -i
+	python3 -m pytest c/ testing/
+}
 
 post_install() {
 	vlicense LICENSE
